package com.steering.pss.plnsaleord.order;

import java.util.ArrayList;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;
import CoreFS.SC01.CoreConstantData;

import com.steering.comm.db.DBCommon;

/**
 * 合同回退日志
 * @author xiaohai
 *
 */
public class CoreOrdCancelLog extends DBCommon {
    /**
     * 查询回退合同日志
     * @param 查询条件
     */
    public CoreReturnObject queryCancelLog(ArrayList<String> list) {
        CoreReturnObject cro = new CoreReturnObject();
        cro = this.getDataBySqlID("CoreOrdCancelLog.queryCancelLog", list
                .toArray());
        return cro;
    }

    /**
     * 删除回退合同日志
     * @param 查询条件
     */
    public CoreReturnObject updateDeletelog(ArrayList<ArrayList<String>> list) {
        CoreReturnObject cro = new CoreReturnObject();
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < list.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory
                    .getSql("CoreOrdCancelLog.updateDeletelog"));
            parmlist.add(list.get(i).toArray());
        }
        cro = this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);
        return cro;
    }
}